<app-breadcrumb-admin [single]="false" titlePage="Editar Tarea" backPage="Tareas" url="tasks"></app-breadcrumb-admin>

<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3 class="text-capitalize"><fa-icon [icon]="faEdit"></fa-icon> Editar Tarea</h3>
      </div>
      <div class="card-body">
        <form class="validate-form" (ngSubmit)="submit(form)" #form="ngForm">
          <div class="row">
            <div class="col-12">
              <label for="area"  class="label-flags">
                <span> Areas</span>
              </label>
              <select name="area" id="area" class="form-control" [(ngModel)]="task.area._id" required>
                <option [value]="area._id" *ngFor="let area of areas; let i=index;">
                  <span *ngIf="serviceTranslation.getLang() == 'es'">{{ area.name.es }}</span>
                  <span *ngIf="serviceTranslation.getLang() == 'en'">{{ area.name.es }}</span>
                </option>
              </select>

              <label for="name"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Nombre</span>
              </label>
              <input type="text" name="name" placeholder="Nombre" id="name" class="form-control" *ngIf="serviceTranslation.getLang() == 'es'" [(ngModel)]="task.name.es" required>
              <input type="text" name="name" placeholder="Nombre" class="form-control" *ngIf="serviceTranslation.getLang() == 'en'" [(ngModel)]="task.name.en" required>

              <label for="price"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Precio</span>
              </label>
              <input type="number" min="0" name="price" placeholder="Precio" id="price" class="form-control" [(ngModel)]="task.price" required>

              <label for="size"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Tamaño</span>
              </label>
              <input type="number" min="0" name="size" placeholder="Tamaño" id="size" class="form-control" [(ngModel)]="task.size" required>

              <label for="description"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Descripción</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="description" id="description" [(ngModel)]="task.description.es" [data]="task.description.es"
                        *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>
              <ckeditor [editor]="Editor" ngModel name="description" [(ngModel)]="task.description.en" [data]="task.description.en"
                        *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>

              <label for="complexity"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Complejidad</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="complexity" id="complexity" [(ngModel)]="task.complexity.es" [data]="task.complexity.es"
                        *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>
              <ckeditor [editor]="Editor" ngModel name="complexity" [(ngModel)]="task.complexity.en" [data]="task.complexity.en"
                        *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>

              <label for="include"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Incluye</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="include" id="include" [(ngModel)]="task.include.es" [data]="task.include.es"
                        *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>
              <ckeditor [editor]="Editor" ngModel name="include" [(ngModel)]="task.include.en" [data]="task.include.en"
                        *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>

              <label for="changes"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Cambios</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="changes" id="changes" [(ngModel)]="task.changes.es" [data]="task.changes.es"
                        *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>
              <ckeditor [editor]="Editor" ngModel name="changes" [(ngModel)]="task.changes.en" [data]="task.changes.en"
                        *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>

              <label for="level"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Nivel</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="level" id="level" [(ngModel)]="task.level.es" [data]="task.level.es"
                        *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>
              <ckeditor [editor]="Editor" ngModel name="level" [(ngModel)]="task.level.en" [data]="task.level.en"
                        *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>

              <label for="version"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Versión</span>
              </label>
              <ckeditor [editor]="Editor" name="version" id="version" [(ngModel)]="task.version.es" [data]="task.version.es"
                        *ngIf="serviceTranslation.getLang() == 'es'" ></ckeditor>
              <ckeditor [editor]="Editor" name="version" [(ngModel)]="task.version.en" [data]="task.version.en"
                        *ngIf="serviceTranslation.getLang() == 'en'" ></ckeditor>

              <label for="proposal"  class="label-flags mt-3">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Propuestas</span>
              </label>
              <ckeditor [editor]="Editor" [(ngModel)]="task.proposal.es"  [data]="task.proposal.es"
                        *ngIf="serviceTranslation.getLang() == 'es'" name="proposal" id="proposal"></ckeditor>
              <ckeditor [editor]="Editor" [(ngModel)]="task.proposal.en"  [data]="task.proposal.en"
                        *ngIf="serviceTranslation.getLang() == 'en'" name="proposal"></ckeditor>
              <div class="col-2">
                <div class="form-check form-switch mt-3">
                  <input class="form-check-input" type="checkbox" id="flexSwitchCheckChecked" [checked]="task.editable" (click)="setEditable()"/>
                  <label class="form-check-label" for="flexSwitchCheckChecked">Editable</label>
                </div>
              </div>
            </div>
          </div>
          <div class="position-relative form-group">
            <label for="image" class="">Imagen</label>
            <div class="row">
              <div class="col-4">
                <img [src]="task._id | image: 'tasks' " class="img-fluid cursor" (click)="file.click()" [alt]="imageInit" *ngIf="imageInit">
                <img [src]="thumbnail" *ngIf="thumbnail" class="img-fluid cursor" (click)="file.click()">
                <img src="assets/images/missing.png" *ngIf="!imageInit && !thumbnail" class="img-fluid cursor" (click)="file.click()" (error)="replaceImage(image)" #image>
                <a class="text-danger ml-2" (click)="deleteImage(task.image)" style="cursor: pointer;" *ngIf="imageInit">
                  <fa-icon [icon]="faTrashAlt"></fa-icon>
                </a>
                <a class="text-danger ml-2" (click)="deleteImageThumbnail()" style="cursor: pointer;" *ngIf="thumbnail">
                  <fa-icon [icon]="faTrashAlt"></fa-icon>
                </a>
              </div>
              <div class="col-4 d-flex align-items-center">
                <div class="upload-btn-wrapper">
                  <button class="btn btn-primary">Selecciona un archivo</button>
                  <input type="file" name="image" id="image" (change)="getImage($event)" #file>
                </div>
              </div>
            </div>
          </div>
          <div class="alert alert-primary mt-3" role="alert">
            <fa-icon [icon]="faImages"></fa-icon> Imágenes (Formato png, jpg o jpeg de tamaño 1,280 x 960 a 72 dpi)<br>
          </div>
          <div class="row mb-3">
            <div class="col-12">
              <div class="row">
                <div class="col-12 col-sm-6 col-md-4 col-lg-3"  *ngFor="let image of images; let i=index">
                  <img [src]="image | imageGallery: task._id: 'tasks'" class="img-fluid" [alt]="image">
                  <a class="text-danger ml-2" (click)="deleteImageGallery(image)" style="cursor: pointer;">
                    <fa-icon [icon]="faTrashAlt"></fa-icon>
                  </a>
                </div>
              </div>
            </div>
          </div>
          <ngx-dropzone (change)="onSelect($event)">
            <ngx-dropzone-label>Arrastra tus Images</ngx-dropzone-label>
            <ngx-dropzone-image-preview ngProjectAs="ngx-dropzone-preview" *ngFor="let f of files" [file]="f" [removable]="true" (removed)="onRemove(f)">
              <ngx-dropzone-label>{{ f.name }} ({{ f.type }})</ngx-dropzone-label>
            </ngx-dropzone-image-preview>
          </ngx-dropzone>
          <button type="submit" [disabled]="form.invalid" class="mt-2 float-end btn btn-primary">
            <fa-icon [icon]="faSave"></fa-icon>
            Guardar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>



